Returns the list of actions on a specified treaty.

GET /treaty/:congress/:treatyNumber/actions

Example Request

/v3/treaty/117/3/actions
::

"actions": [
    {
        "actionCode": "S05291",
        "actionDate": "2022-08-03",
        "committee": null,
        "text": "Resolution of advice and consent to ratification agreed to as amended in Senate by Yea-Nay Vote. 95 - 1. Record Vote Number: 282.",
        "type": "Floor"
    },
    {
        "actionCode": "S05311",
        "actionDate": "2022-08-03",
        "committee": null,
        "text": "Treaty moved through its parliamentary stages up to and including presentation of the resolution of advice and consent to ratification.",
        "type": "Floor"
    }
]

 
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

integer
required

The treaty's assigned number. For example, the value can be 3.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!